package com.hotent.baseInfo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 目录名称VO
 *
 * @author 超级管理员
 * @since 2025-09-04
 */
@ApiModel(value = "CatalogNameVo", description = "目录名称VO")
public class CatalogNameVo {

    @ApiModelProperty(value = "目录名称")
    private String name;

    @ApiModelProperty(value = "父节点ID")
    private String parentId;

    public CatalogNameVo() {
    }

    public CatalogNameVo(String name, String parentId) {
        this.name = name;
        this.parentId = parentId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    @Override
    public String toString() {
        return "CatalogNameVo{" +
                "name='" + name + '\'' +
                ", parentId='" + parentId + '\'' +
                '}';
    }
}
